summaryrefslogtreecommitdiff
path: root/tests/tests/push-newrepeat
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2018-07-12 08:33:17 +0100
committerSean Whitton <spwhitton@spwhitton.name>2018-07-12 08:33:17 +0100
commitae8f33be945323e02e670a97c8ac6d42a0e1be40 (patch)
tree2bbf98c464b32b8ede618bf93929741246b81b5f /tests/tests/push-newrepeat
parent4a142fe137c1bed5a0cb5d14c41adcb3355458c4 (diff)
parent7166dbc963a9c01ce62a0564bb7b905156adb560 (diff)
Merge tag 'debian/5.8' into stretch-bpo
dgit release 5.8 for unstable (sid) [dgit] [dgit distro=debian] # gpg: Signature made Sun 08 Jul 2018 11:43:29 BST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/tests/push-newrepeat')
-rwxr-xr-xtests/tests/push-newrepeat21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/tests/push-newrepeat b/tests/tests/push-newrepeat
new file mode 100755
index 0000000..87fcb35
--- /dev/null
+++ b/tests/tests/push-newrepeat
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+
+t-prep-newpackage example 1.0
+
+cd $p
+git checkout quilt-tip
+cp $troot/pkg-srcs/${p}_1.0.orig.tar.gz ..
+
+t-dgit --quilt=smash build-source
+
+t-expect-fail E:'Push failed, while updating the remote git repository' \
+t-dgit -cdgit-distro.test-dummy.git-url=file:///dev/enoent/fail \
+ push --new
+
+t-dgit push --new
+
+t-ok